Bug 1081430 - TW 20180214 NetworkManager segv Segmentation fault. #0 0x0000555cae32f7a3 in nm_connection_clear_secrets (connection=connection@entry=0x6c00000001) at libnm-core/nm-connection.c:1662
TW 20180214 NetworkManager segv Segmentation fault. #0 0x0000555cae32f7a3 in...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-17 11:28 UTC by Bruno Friedmann
Modified: 2018-03-19 18:20 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
coredump trace (1.70 MB, application/octet-stream)
2018-02-17 11:28 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Friedmann 2018-02-17 11:28:32 UTC
Created attachment 760463 [details]
coredump trace

When trying to use NetworkManager (especially openvpn connection) the process crash in SEGV

coredumpctl gdb 1654
           PID: 1654 (NetworkManager)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 11 (SEGV)
     Timestamp: Sat 2018-02-17 09:30:44 CET (52min ago)
  Command Line: /usr/sbin/NetworkManager --no-daemon
    Executable: /usr/sbin/NetworkManager
 Control Group: /system.slice/NetworkManager.service
          Unit: NetworkManager.service
         Slice: system.slice
       Boot ID: 85d3cc29964e420c87007771c2f9bae0
    Machine ID: ecd7cc2355c145afa783cc3a12f249ee
      Hostname: qt-kt.labaroche.ioda.net
       Storage: /var/lib/systemd/coredump/core.NetworkManager.0.85d3cc29964e420c87007771c2f9bae0.1654.1518856244000000.lz4
       Message: Process 1654 (NetworkManager) of user 0 dumped core.

GNU gdb (GDB; openSUSE Tumbleweed) 8.0.1
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/sbin/NetworkManager...Reading symbols from /usr/lib/debug/usr/sbin/NetworkManager-1.10.4-1.1.x86_64.debug...done.
done.
[New LWP 1654]
[New LWP 1744]
[New LWP 9329]
[New LWP 1740]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/sbin/NetworkManager --no-daemon'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000555cae32f7a3 in nm_connection_clear_secrets (connection=connection@entry=0x6c00000001) at libnm-core/nm-connection.c:1662
1662    libnm-core/nm-connection.c: No such file or directory.
[Current thread is 1 (Thread 0x7fa7dd8ad980 (LWP 1654))]
(gdb) bt
#0  0x0000555cae32f7a3 in nm_connection_clear_secrets (connection=connection@entry=0x6c00000001) at libnm-core/nm-connection.c:1662
#1  0x0000555cae42570a in get_secrets_done_cb (manager=<optimized out>, call_id_a=<optimized out>, agent_dbus_owner=0x0, agent_username=0x0, agent_has_modify=<optimized out>, setting_name=0x555caed38a90 "@=ɮ\\U", flags=(NM_SECRET_AGENT_GET_SECRETS_FLAG_USER_REQUESTED | NM_SECRET_AGENT_GET_SECRETS_FLAG_ONLY_SYSTEM), secrets=0x555caec7aa60, error=0x0, user_data=0x7fa7cc021050) at src/settings/nm-settings-connection.c:1151
#2  0x0000555cae41aa6e in req_complete_release (req=0x555caec5d2c0, secrets=<optimized out>, agent_dbus_owner=<optimized out>, agent_username=<optimized out>, error=<optimized out>)
    at src/settings/nm-agent-manager.c:580
#3  0x0000555cae41b8b8 in _con_get_try_complete_early (req=req@entry=0x555caec5d2c0) at src/settings/nm-agent-manager.c:1188
#4  0x0000555cae41bbb6 in request_start (user_data=0x555caec5d2c0) at src/settings/nm-agent-manager.c:832
#5  0x00007fa7dc28cdc5 in g_main_dispatch (context=0x555caea82fd0) at gmain.c:3142
#6  0x00007fa7dc28cdc5 in g_main_context_dispatch (context=context@entry=0x555caea82fd0) at gmain.c:3795
#7  0x00007fa7dc28d190 in g_main_context_iterate (context=0x555caea82fd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3868
#8  0x00007fa7dc28d4a2 in g_main_loop_run (loop=0x555caea83110) at gmain.c:4064
#9  0x0000555cae2f77e9 in main (argc=<optimized out>, argv=<optimized out>) at src/main.c:442
Comment 1 Bruno Friedmann 2018-02-17 17:23:34 UTC
Related component installed

zypper se -si NetworkManager nm
Loading repository data...
Reading installed packages...

S  | Name                             | Type        | Version    | Arch   | Repository
---+----------------------------------+-------------+------------+--------+-----------
i+ | NetworkManager                   | package     | 1.10.4-1.1 | x86_64 | oss
i+ | NetworkManager                   | application |            | noarch | oss
i+ | NetworkManager-applet            | package     | 1.8.10-2.1 | x86_64 | oss
i+ | NetworkManager-branding-openSUSE | package     | 42.1-3.5   | noarch | oss
i+ | NetworkManager-connection-editor | package     | 1.8.10-2.1 | x86_64 | oss
i+ | NetworkManager-debuginfo         | package     | 1.10.4-1.1 | x86_64 | debug
i+ | NetworkManager-devel             | package     | 1.10.4-1.1 | x86_64 | oss
i+ | NetworkManager-openconnect       | package     | 1.2.4-1.2  | x86_64 | oss
i+ | NetworkManager-openswan          | package     | 1.0.8-1.8  | x86_64 | oss
i+ | NetworkManager-openswan-lang     | package     | 1.0.8-1.8  | noarch | oss
i+ | NetworkManager-openvpn           | package     | 1.8.0-2.1  | x86_64 | oss
i+ | NetworkManager-pptp              | package     | 1.2.4-1.3  | x86_64 | oss
i+ | NetworkManager-strongswan        | package     | 1.4.2-1.1  | x86_64 | oss
i+ | NetworkManager-strongswan-lang   | package     | 1.4.2-1.1  | noarch | oss
i+ | NetworkManager-vpnc              | package     | 1.2.4-2.2  | x86_64 | oss
i+ | libKF5NetworkManagerQt-devel     | package     | 5.42.0-1.1 | x86_64 | oss
i+ | libKF5NetworkManagerQt6          | package     | 5.42.0-1.1 | x86_64 | oss
i+ | libproxy1-networkmanager         | package     | 0.4.15-1.3 | x86_64 | oss
i+ | typelib-1_0-NetworkManager-1_0   | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm-glib-vpn1                  | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm-glib4                      | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm-glib4-32bit                | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm-gtk0                       | package     | 1.8.10-2.1 | x86_64 | oss
i+ | libnm-util2                      | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm-util2-32bit                | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnm0                           | package     | 1.10.4-1.1 | x86_64 | oss
i+ | libnma0                          | package     | 1.8.10-2.1 | x86_64 | oss
i+ | plasma-nm5                       | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-l2tp                  | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-openconnect           | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-openswan              | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-openvpn               | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-pptp                  | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-ssh                   | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-sstp                  | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-strongswan            | package     | 5.12.0-1.1 | x86_64 | oss
i+ | plasma-nm5-vpnc                  | package     | 5.12.0-1.1 | x86_64 | oss
i+ | typelib-1_0-NM-1_0               | package     | 1.10.4-1.1 | x86_64 | oss
i+ | typelib-1_0-NMClient-1_0         | package     | 1.10.4-1.1 | x86_64 | oss
Comment 2 Bruno Friedmann 2018-02-17 17:31:06 UTC
Extra components : nvidia from TW/nvidia repository

S  | Name                      | Type    | Version               | Arch   | Repository
---+---------------------------+---------+-----------------------+--------+-----------
i+ | nvidia-computeG04         | package | 390.25-10.1           | x86_64 | nvidia
i+ | nvidia-gfxG04-kmp-default | package | 390.25_k4.15.2_1-10.1 | x86_64 | nvidia
i+ | nvidia-glG04              | package | 390.25-10.1           | x86_64 | nvidia
i+ | nvidia-texture-tools      | package | 2.0.8-3.4             | x86_64 | oss
i+ | pcp-pmda-nvidia-gpu       | package | 3.11.9-3.2            | x86_64 | oss
i+ | x11-video-nvidiaG04       | package | 390.25-10.1           | x86_64 | nvidia
Comment 3 Bruno Friedmann 2018-02-18 13:22:54 UTC
Trying to use nmcli (doesn't crash) but have error too.


Upstream link
https://bugzilla.gnome.org/show_bug.cgi?id=791692
Comment 4 Bruno Friedmann 2018-02-18 13:26:27 UTC
Trying to use nmcli give no segv but another error :

Error: Connection activation failed: Could not find source connection.

I've found this upstream bug
https://bugzilla.gnome.org/show_bug.cgi?id=791692
Comment 5 Bruno Friedmann 2018-02-18 13:28:28 UTC
Trying to use nmcli give no segv but another error :

Error: Connection activation failed: Could not find source connection.

I've found this upstream bug
https://bugzilla.gnome.org/show_bug.cgi?id=791692
Comment 6 Bruno Friedmann 2018-02-23 12:54:01 UTC
With TW now at 20180221 there's still crash when trying to use the NetworkManager applet from plasma

This fresh one, is trying to connect a Wifi WPA2 (unknow before) and the crash occur once the password was typed in the asking dialog box, and ok hit.

Reading symbols from /usr/sbin/NetworkManager...Reading symbols from /usr/lib/debug/usr/sbin/NetworkManager-1.10.4-1.1.x86_64.debug...done.
done.
[New LWP 1363]
[New LWP 1457]
[New LWP 1459]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/sbin/NetworkManager --no-daemon'.
Program terminated with signal SIGABRT, Aborted.
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51      ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
[Current thread is 1 (Thread 0x7f18dd961980 (LWP 1363))]
(gdb) bt
#0  0x00007f18dadd90d0 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007f18dadda6b1 in __GI_abort () at abort.c:79
#2  0x00007f18dc3679cd in g_assertion_message (domain=domain@entry=0x55b6b695730c "NetworkManager", file=file@entry=0x55b6b695a770 "src/settings/nm-agent-manager.c", line=line@entry=542, func=func@entry=0x55b6b6938b22 "<unknown-fcn>", message=message@entry=0x55b6b883dd20 "code should not be reached") at gtestutils.c:2430
#3  0x00007f18dc367a5a in g_assertion_message_expr (domain=domain@entry=0x55b6b695730c "NetworkManager", file=file@entry=0x55b6b695a770 "src/settings/nm-agent-manager.c", line=line@entry=542, func=func@entry=0x55b6b6938b22 "<unknown-fcn>", expr=expr@entry=0x0) at gtestutils.c:2453
#4  0x000055b6b68b0aa3 in request_free (req=0x55b6b8861ee0) at src/settings/nm-agent-manager.c:542
#5  0x000055b6b68b0aa3 in req_complete_release (req=0x55b6b8861ee0, secrets=<optimized out>, agent_dbus_owner=<optimized out>, agent_username=<optimized out>, error=<optimized out>)
    at src/settings/nm-agent-manager.c:599
#6  0x000055b6b68b3aaf in _con_get_request_done (agent=<optimized out>, call_id=<optimized out>, secrets=0x55b6b88b3390, error=<optimized out>, user_data=0x55b6b8861ee0)
    at src/settings/nm-agent-manager.c:920
#7  0x000055b6b68b5926 in get_callback (proxy=<optimized out>, result=0x55b6b880c8f0, user_data=0x7f18cc005720) at src/settings/nm-secret-agent.c:344
#8  0x00007f18dcaf1183 in g_task_return_now (task=0x55b6b880c8f0 [GTask]) at gtask.c:1145
#9  0x00007f18dcaf1ba6 in g_task_return (task=0x55b6b880c8f0 [GTask], type=<optimized out>) at gtask.c:1203
#10 0x00007f18dcb3013b in reply_cb (connection=<optimized out>, res=<optimized out>, user_data=0x55b6b880c8f0) at gdbusproxy.c:2589
#11 0x00007f18dcaf1183 in g_task_return_now (task=0x55b6b88515c0 [GTask]) at gtask.c:1145
#12 0x00007f18dcaf1ba6 in g_task_return (task=0x55b6b88515c0 [GTask], type=<optimized out>) at gtask.c:1203
#13 0x00007f18dcb24c42 in g_dbus_connection_call_done (source=<optimized out>, result=0x55b6b88514f0, user_data=0x55b6b88515c0) at gdbusconnection.c:5722
#14 0x00007f18dcaf1183 in g_task_return_now (task=0x55b6b88514f0 [GTask]) at gtask.c:1145
#15 0x00007f18dcaf11b9 in complete_in_idle_cb (task=0x55b6b88514f0) at gtask.c:1159
#16 0x00007f18dc340dc5 in g_main_dispatch (context=0x55b6b868e710) at gmain.c:3142
#17 0x00007f18dc340dc5 in g_main_context_dispatch (context=context@entry=0x55b6b868e710) at gmain.c:3795
#18 0x00007f18dc341190 in g_main_context_iterate (context=0x55b6b868e710, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3868
#19 0x00007f18dc3414a2 in g_main_loop_run (loop=0x55b6b868e850) at gmain.c:4064
#20 0x000055b6b678d7e9 in main (argc=<optimized out>, argv=<optimized out>) at src/main.c:442
Comment 7 Bruno Friedmann 2018-02-24 11:04:14 UTC
New test done with nmcli
Edit the connection with the plasma5 applet, save it

Try to make it up with nmcli give always a coredump

Feb 24 11:53:51 dbus-daemon[1224]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1289 comm="/usr/sbin/NetworkManager --no-daemon ") interface="org.freedesktop.NetworkManager.SecretAgent" member="GetSecrets" error name="(unset)" requested_reply="0" destination=":1.21" (uid=1502 pid=2329 comm="kded5 [kdeinit5]                                  ")
Feb 24 11:54:28 dbus-daemon[1224]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1289 comm="/usr/sbin/NetworkManager --no-daemon ") interface="org.freedesktop.NetworkManager.SecretAgent" member="GetSecrets" error name="(unset)" requested_reply="0" destination=":1.21" (uid=1502 pid=2329 comm="kded5 [kdeinit5]                                  ")
Feb 24 11:54:43 systemd[1]: Started PC/SC Smart Card Daemon.
Feb 24 11:56:24 NetworkManager[1289]: <info>  [1519469784.4748] settings-connection[0x565523120440,3e125064-5541-4e6f-8904-427fe62a96b7]: write: successfully updated (keyfile: update /etc/NetworkManager/system-connections/vpn-botta (3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta"))
Feb 24 11:56:24 NetworkManager[1289]: <info>  [1519469784.4752] audit: op="connection-update" uuid="3e125064-5541-4e6f-8904-427fe62a96b7" name="vpn-botta" args="vpn.data,ipv4.may-fail,ipv4.never-default,ipv6.ip6-privacy" pid=3410 uid=1502 result="success"
Feb 24 11:56:24 dbus-daemon[1224]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.6" (uid=0 pid=1289 comm="/usr/sbin/NetworkManager --no-daemon ") interface="org.freedesktop.NetworkManager.SecretAgent" member="SaveSecrets" error name="(unset)" requested_reply="0" destination=":1.21" (uid=1502 pid=2329 comm="kded5 [kdeinit5]                                  ")
Feb 24 11:58:08 NetworkManager[1289]: <info>  [1519469888.1213] audit: op="connection-activate" uuid="3e125064-5541-4e6f-8904-427fe62a96b7" name="vpn-botta" pid=3577 uid=1502 result="success"
Feb 24 11:58:08 NetworkManager[1289]: <info>  [1519469888.1269] vpn-connection[0x565523318110,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: Started the VPN service, PID 3583
Feb 24 11:58:08 NetworkManager[1289]: <info>  [1519469888.1345] vpn-connection[0x565523318110,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: Saw the service appear; activating connection
Feb 24 11:58:08 kernel: tun: Universal TUN/TAP device driver, 1.6
Feb 24 11:58:08 NetworkManager[1289]: **
Feb 24 11:58:08 NetworkManager[1289]: NetworkManager:ERROR:src/settings/nm-agent-manager.c:542:<unknown-fcn>: code should not be reached
Feb 24 11:58:08 systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Feb 24 11:58:08 systemd[1]: Started Process Core Dump (PID 3589/UID 0).
Feb 24 11:58:08 systemd-coredump[3590]: Removed old coredump core.NetworkManager.0.ddddf9223bd041f9a2b2d4bbc4906911.4751.1519403535000000.lz4.
Feb 24 11:58:08 systemd[1]: NetworkManager.service: Main process exited, code=dumped, status=6/ABRT
Feb 24 11:58:08 systemd[1]: NetworkManager.service: Unit entered failed state.
Feb 24 11:58:08 systemd[1]: NetworkManager.service: Failed with result 'core-dump'.
Feb 24 11:58:08 systemd-coredump[3590]: Process 1289 (NetworkManager) of user 0 dumped core.

Could it be possible that the first two lines are related too ?

Also by default dbus is complaining about missing destination in 

/etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf


12 <allow send_destination="org.freedesktop.NetworkManager"
13        send_interface="org.freedesktop.NetworkManager.SecretAgent"/>

30 <allow send_destination="org.freedesktop.NetworkManager"
31        send_interface="org.freedesktop.NetworkManager.VPN.Plugin"/>

So I've rewrite the two lines to containg a send_destination
Comment 8 Bruno Friedmann 2018-03-02 18:00:47 UTC
With 10.5 version there's no more segv and openvpn connection works again
\o/

I've undone my org.freedesktop.NetworkManager.conf modification to make it sucessful.


Mar 02 18:39:29 NetworkManager[10433]: <info>  [1520012369.9555] manager: NetworkManager state is now CONNECTED_GLOBAL





Mar 02 18:39:41 NetworkManager[10433]: <info>  [1520012381.1238] manager: logging: level 'DEBUG' domains 'PLATFORM,RFKILL,ETHER,WIFI,BT,MB,DHCP4,DHCP6,PPP,IP4,IP6,AUTOIP4,DNS,VPN,SHARING,SUPPLICANT,AGENTS,SETTINGS,SUSPEND,CORE,DEVICE,OLPC,INFINIBAND,FIREWALL,ADSL,BOND,VLAN,BRIDGE,TEAM,CONCHECK,DCB,DISPATCH,AUDIT,SYSTEMD,PROXY'
Mar 02 18:40:02 NetworkManager[10433]: <debug> [1520012402.6770] ndisc-lndp[0x55d4cfe55c20,"eth0"]: processing libndp events
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9466] agent-manager: req[0x55d4cfeb95b0, :1.547/nmcli-connect/0]: requesting permissions
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9466] agent-manager: req[0x55d4cfeb95b0, :1.547/nmcli-connect/0]: agent registered
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9466] policy: re-enabling autoconnect for all connections (only clear no-secrets flag)
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9477] active-connection[0x55d4cfee6200]: set device "eth0" [0x55d4cfe408e0]
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9477] device[0x55d4cfe408e0] (eth0): add_pending_action (1): 'activation-0x55d4cfee6200'
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9479] active-connection[0x55d4cfee6200]: constructed (NMVpnConnection, version-id 2, type managed)
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9483] active-connection[0x55d4cfee6200]: set state activating (was unknown)
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9483] active-connection[0x55d4cfee6200]: check-master-ready: not signalling (state activating, no master)
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9484] create NMAuditManager singleton (0x55d4cfe56e80)
Mar 02 18:40:04 NetworkManager[10433]: <info>  [1520012404.9484] audit: op="connection-activate" uuid="3e125064-5541-4e6f-8904-427fe62a96b7" name="vpn-botta" pid=10701 uid=0 result="success"
Mar 02 18:40:04 NetworkManager[10433]: <info>  [1520012404.9524] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: Started the VPN service, PID 10707
Mar 02 18:40:04 NetworkManager[10433]: <info>  [1520012404.9574] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: Saw the service appear; activating connection
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9575] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: requesting VPN secrets pass #1
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9579] Secrets requested for connection /org/freedesktop/NetworkManager/Settings/18 (vpn-botta/vpn)
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9579] settings-connection[0x55d4cfd02b60,3e125064-5541-4e6f-8904-427fe62a96b7]: (vpn:0x55d4cfe53820) secrets requested flags 0x80000004 hints '(none)'
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9583] agent-manager: ([0x55d4cfe53820/"vpn-botta"/"vpn"]) system settings secrets sufficient
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9586] settings-connection[0x55d4cfd02b60,3e125064-5541-4e6f-8904-427fe62a96b7]: (vpn:0x55d4cfd03770) existing secrets returned
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9586] settings-connection[0x55d4cfd02b60,3e125064-5541-4e6f-8904-427fe62a96b7]: (vpn:0x55d4cfd03770) secrets request completed
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9594] settings-connection[0x55d4cfd02b60,3e125064-5541-4e6f-8904-427fe62a96b7]: (vpn:0x55d4cfd03770) new agent secrets processed
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9596] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: asking service if additional secrets are required
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9626] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: service indicated no additional secrets required
Mar 02 18:40:04 NetworkManager[10433]: <debug> [1520012404.9627] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: Allowing interactive secrets as all agents have that capability
Mar 02 18:40:04 NetworkManager[10433]: <info>  [1520012404.9671] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: VPN plugin: state changed: starting (3)
Mar 02 18:40:04 NetworkManager[10433]: <info>  [1520012404.9672] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: VPN connection: (ConnectInteractive) reply received
Mar 02 18:40:04 nm-openvpn[10710]: OpenVPN 2.4.3 x86_64-suse-linux-gnu [SSL (OpenSSL)] [LZO] [LZ4] [EPOLL] [PKCS11] [MH/PKTINFO] [AEAD] built on Jun 20 2017
Mar 02 18:40:04 nm-openvpn[10710]: library versions: OpenSSL 1.1.0g-fips  2 Nov 2017, LZO 2.10
Mar 02 18:40:04 nm-openvpn[10710]: NOTE: the current --script-security setting may allow this configuration to call user-defined scripts
Mar 02 18:40:05 nm-openvpn[10710]: TCP/UDP: Preserving recently used remote address: [AF_INET]81.62.140.78:1194
Mar 02 18:40:05 nm-openvpn[10710]: UDP link local: (not bound)
Mar 02 18:40:05 nm-openvpn[10710]: UDP link remote: [AF_INET]81.62.140.78:1194
Mar 02 18:40:05 nm-openvpn[10710]: NOTE: UID/GID downgrade will be delayed because of --client, --pull, or --up-delay
Mar 02 18:40:05 nm-openvpn[10710]: [sequoia.forest.interne] Peer Connection Initiated with [AF_INET]81.62.140.78:1194
Mar 02 18:40:07 nm-openvpn[10710]: TUN/TAP device tun0 opened
Mar 02 18:40:07 nm-openvpn[10710]: /usr/lib/nm-openvpn-service-openvpn-helper --debug 0 10707 --bus-name org.freedesktop.NetworkManager.openvpn.Connection_2 --tun -- tun0 1500 1562 10.168.10.6 10.168.10.5 init
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0230] platform-linux: sysctl: reading 'net:/sys/class/net/tun0/owner': '-1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0231] platform-linux: sysctl: reading 'net:/sys/class/net/tun0/group': '-1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0232] platform-linux: sysctl: reading 'net:/sys/class/net/tun0/tun_flags': '0x3001'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0233] platform: signal: link   added: 6: tun0 <NOARP,DOWN;pointopoint,multicast,noarp> mtu 1500 arp 65534 tun* not-init addrgenmode eui64 driver tun rx:0,0 tx:0,0
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0240] device[0x55d4cfd32450] (tun0): constructed (NMDeviceTun)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0241] device[0x55d4cfd32450] (tun0): start setup of NMDeviceTun, kernel ifindex 6
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0242] platform-linux: error reading net:/sys/class/net/tun0/phys_port_id: error reading 4096 bytes from file descriptor: Operation not supported
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0244] platform-linux: sysctl: reading 'net:/sys/class/net/tun0/dev_id': '0x0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0245] platform-linux: error reading net:/sys/class/net/tun0/device/sriov_totalvfs: Failed to open file "device/sriov_totalvfs" with openat: No such file or directory
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0246] platform-linux: do-request-link: 6 
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0249] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [platform-init,external-down=0x810/0x810/unmanaged/unrealized], set-unmanaged [external-down=0x800])
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0250] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [platform-init,external-down,!loopback=0x810/0x818/unmanaged/unrealized], set-managed [loopback=0x8])
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0251] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [platform-init,external-down,!sleeping,!loopback=0x810/0x819/unmanaged/unrealized], set-managed [sleeping=0x1])
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0270] manager: (tun0): new Tun device (/org/freedesktop/NetworkManager/Devices/6)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0318] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",0]: VPN connection: (IP Config Get) reply received.
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0336] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: VPN connection: (IP4 Config Get) reply received
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data: VPN Gateway: 81.62.140.78
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data: Tunnel Device: "tun0"
Mar 02 18:40:07 nm-openvpn[10710]: GID set to nm-openvpn
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data: IPv4 configuration:
Mar 02 18:40:07 nm-openvpn[10710]: UID set to nm-openvpn
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Internal Gateway: 10.168.10.5
Mar 02 18:40:07 nm-openvpn[10710]: Initialization Sequence Completed
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Internal Address: 10.168.10.6
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Internal Prefix: 32
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Internal Point-to-Point Address: 10.168.10.5
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Static Route: 10.168.10.0/24   Next Hop: 10.168.10.5
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Static Route: 10.10.10.0/24   Next Hop: 10.168.10.5
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0341] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Static Route: 192.168.10.0/24   Next Hop: 10.168.10.5
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Static Route: 10.168.10.5/32   Next Hop: 0.0.0.0
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   Internal DNS: 10.10.10.1
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data:   DNS Domain: 'forest.interne'
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: Data: No IPv6 configuration
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: setting firewall zone (default) for 'tun0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0342] firewall: [0x55d4cfe8f8a0,change*:"tun0"]: firewall zone change tun0:default (not running, simulate success)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0342] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: VPN plugin: state changed: started (4)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0344] firewall: [0x55d4cfe8f8a0,change*:"tun0"]: complete: fake success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0345] platform: route: get IPv4 route for: 81.62.140.78 succeeded: 81.62.140.78/32 via 10.26.8.1 dev 4 metric 0 mss 0 rt-src rt-unspec rtm_flags cloned scope global pref-src 10.26.8.2
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0346] device[0x55d4cfe408e0] (eth0): ip4-config: update (commit=1, new-config=0x55d4cfe51e50)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0346] platform: address: adding or updating IPv4 address: 10.26.8.2/24 lft 86363sec pref 86363sec lifetime 39-0[86363,86363] dev 4 flags noprefixroute src unknown
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0354] platform: signal: address 4 changed: 10.26.8.2/24 lft 86363sec pref 86363sec lifetime 39-39[86363,86363] dev 4 flags noprefixroute src kernel
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0354] device[0x55d4cfe408e0] (eth0): queued IP4 config change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0354] platform-linux: do-add-ip4-address[4: 10.26.8.2/24]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0355] platform: route: append     IPv4 route: 10.26.8.1/32 via 0.0.0.0 dev 4 metric 100 mss 0 rt-src vpn
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0355] platform: signal: route   4   added: 10.26.8.1/32 via 0.0.0.0 dev 4 metric 100 mss 0 rt-src rt-static scope link
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0355] platform-linux: do-add-ip4-route[10.26.8.1/32 via 0.0.0.0 dev 4 metric 100 mss 0 rt-src rt-static scope link]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0355] platform: route: append     IPv4 route: 81.62.140.78/32 via 10.26.8.1 dev 4 metric 100 mss 0 rt-src vpn
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0356] platform: signal: route   4   added: 81.62.140.78/32 via 10.26.8.1 dev 4 metric 100 mss 0 rt-src rt-static scope global
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0356] platform-linux: do-add-ip4-route[81.62.140.78/32 via 10.26.8.1 dev 4 metric 100 mss 0 rt-src rt-static scope global]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] device[0x55d4cfe408e0] (eth0): ip4-config: update IP4Config instance (/org/freedesktop/NetworkManager/IP4Config/1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] platform-linux: sysctl: reading '/proc/sys/net/ipv4/conf/eth0/rp_filter': '0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] dns-mgr: (device_ip4_config_changed): queueing DNS updates (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] dns-mgr: (device_ip4_config_changed): DNS configuration did not change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] dns-mgr: (device_ip4_config_changed): no DNS changes to commit (0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0357] platform: link: setting up "tun0" (6)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0358] platform-linux: link: change 6: flags: set 0x1/0x1 ([up] / [up])
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0359] platform-linux: do-request-link: 6 
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0359] platform: signal: link changed: 6: tun0 <NOARP,UP,LOWER_UP;pointopoint,multicast,noarp,up,running,lowerup> mtu 1500 arp 65534 tun* not-init addrgenmode eui64 driver tun rx:0,0 tx:0,0
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0359] device[0x55d4cfd32450] (tun0): queued link change for ifindex 6
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0359] platform: signal: route   6   added: table 255 ff00::/8 via :: dev 6 metric 256 mss 0 rt-src rt-boot
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0359] platform: signal: route   6   added: fe80::/64 via :: dev 6 metric 256 mss 0 rt-src rt-kernel
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0360] platform: signal: address 6   added: fe80::6d34:f5c7:3a61:f6c6/64 lft forever pref forever lifetime 39-0[4294967295,4294967295] dev 6 flags permanent,0x800 src kernel
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0360] platform: signal: link changed: 6: tun0 <NOARP,UP,LOWER_UP;pointopoint,multicast,noarp,up,running,lowerup> mtu 1500 arp 65534 tun* not-init addrgenmode random driver tun rx:0,0 tx:0,0
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0360] platform-linux: do-change-link[6]: success changing link: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0360] platform: address: adding or updating IPv4 address: 10.168.10.6/32 lft forever pref forever lifetime 39-0[4294967295,4294967295] ptp 10.168.10.5 dev 6 flags noprefixroute src unknown
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0362] platform: signal: address 4   added: 10.168.10.6/32 lft forever pref forever lifetime 39-0[4294967295,4294967295] ptp 10.168.10.5 dev 6 flags permanent,noprefixroute src kernel
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0362] platform-linux: do-add-ip4-address[6: 10.168.10.6/32,10.168.10.5]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0362] platform: route: append     IPv4 route: 10.168.10.5/32 via 0.0.0.0 dev 6 metric 50 mss 0 rt-src rt-kernel scope link pref-src 10.168.10.6
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0362] platform: signal: route   4   added: 10.168.10.5/32 via 0.0.0.0 dev 6 metric 50 mss 0 rt-src rt-kernel scope link pref-src 10.168.10.6
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0363] platform-linux: do-add-ip4-route[10.168.10.5/32 via 0.0.0.0 dev 6 metric 50 mss 0 rt-src rt-kernel scope link pref-src 10.168.10.6]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0363] platform: route: append     IPv4 route: 10.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src vpn
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0363] platform: signal: route   4   added: 10.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0364] platform-linux: do-add-ip4-route[10.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0364] platform: route: append     IPv4 route: 10.10.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src vpn
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0365] platform: signal: route   4   added: 10.10.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0365] platform-linux: do-add-ip4-route[10.10.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global]: success
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0365] platform: route: append     IPv4 route: 192.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src vpn
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0365] platform: signal: route   4   added: 192.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0365] platform-linux: do-add-ip4-route[192.168.10.0/24 via 10.168.10.5 dev 6 metric 50 mss 0 rt-src rt-static scope global]: success
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.0365] vpn-connection[0x55d4cfee6200,3e125064-5541-4e6f-8904-427fe62a96b7,"vpn-botta",6:(tun0)]: VPN connection: (IP Config Get) complete
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0366] dispatcher: (5) (tun0) dispatching action 'vpn-pre-up' (with callback)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0366] dispatcher: (5) simulate request; no scripts in /etc/NetworkManager/dispatcher.d/pre-up.d
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0367] device[0x55d4cfe408e0] (eth0): ip4-config: update (commit=0, new-config=0x7f1100032240)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0369] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [platform-init,!sleeping,!loopback,!external-down=0x10/0x819/unmanaged], set-managed [external-down=0x800], reason connection-assumed)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0369] active-connection[0x55d4cfee6200]: set state activated (was activating)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0370] active-connection[0x55d4cfee6200]: check-master-ready: not signalling (state activated, no master)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0373] device[0x55d4cfe408e0] (eth0): remove_pending_action (0): 'activation-0x55d4cfee6200'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (vpn_connection_activated): queueing DNS updates (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (update_routing_and_dns): queueing DNS updates (2)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (update_routing_and_dns): DNS configuration changed
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (update_routing_and_dns): no DNS changes to commit (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (vpn_connection_activated): DNS configuration changed
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: (vpn_connection_activated): committing DNS changes (0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0374] dns-mgr: update-dns: updating resolv.conf
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0375] dns-mgr: spawning '/sbin/netconfig modify --service NetworkManager'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0390] dns-mgr: writing to netconfig: INTERFACE='NetworkManager'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0391] dns-mgr: writing to netconfig: DNSSEARCH='forest.interne labaroche.ioda.net'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0391] dns-mgr: writing to netconfig: DNSSERVERS='10.10.10.1 10.26.8.1 176.31.224.222 fe80::6a05:caff:fe11:33c7%eth0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.0391] kill child process 'netconfig' (10714): waiting for process to terminate after sending no signal (0)...
Mar 02 18:40:07 NetworkManager[10433]: nisdomainname: you must be root to change the domain name
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1473] kill child process 'netconfig' (10714): after sending no signal (0), process 10714 exited normally with status 0 (108260 usec elapsed)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1481] dispatcher: (6) (tun0) dispatching action 'vpn-up'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1485] pacrunner: call[0x55d4cfd52210]: send: new config ({'Interface': <'tun0'>, 'Method': <'direct'>, 'BrowserOnly': <false>, 'Domains': <['forest.interne', '10.168.10.6/32', '10.168.10.0/24', '10.10.10.0/24', '192.168.10.0/24', '10.168.10.5/32']>},)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1486] platform-linux: UDEV event: action 'add' subsys 'net' device 'tun0' (6); seqnum=3845
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1487] platform: signal: link changed: 6: tun0 <NOARP,UP,LOWER_UP;pointopoint,multicast,noarp,up,running,lowerup> mtu 1500 arp 65534 tun* init addrgenmode random driver tun rx:0,0 tx:0,0
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1487] device[0x55d4cfd32450] (tun0): queued link change for ifindex 6
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1488] agent-manager: req[0x55d4cfeb95b0, :1.547/nmcli-connect/0]: agent unregistered or disappeared
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1491] pacrunner: call[0x55d4cfd52210]: sending failed: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.pacrunner" does not exist
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1492] manager: (tun0): assume: don't assume because not managed
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1495] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [platform-init,!sleeping,!loopback,!user-settings,!external-down=0x10/0x859/unmanaged], set-managed [user-settings=0x40])
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1495] device[0x55d4cfd32450] (tun0): unmanaged: flags set to [!sleeping,!loopback,!platform-init,!user-settings,!external-down=0x0/0x859/managed], set-managed [platform-init=0x10], reason connection-assumed, transition-state)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1495] device (tun0): state change: unmanaged -> unavailable (reason 'connection-assumed', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1495] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/accept_ra': '1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/accept_ra_defrtr': '1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/accept_ra_pinfo': '1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/accept_ra_rtr_pref': '1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/forwarding': '0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/disable_ipv6': '0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/hop_limit': '64'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1496] platform-linux: sysctl: reading '/proc/sys/net/ipv6/conf/tun0/use_tempaddr': '-1'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1498] device[0x55d4cfd32450] (tun0): add_pending_action (1): 'recheck-available'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1500] device[0x55d4cfd32450] (tun0): ip4-config: update (commit=0, new-config=0x7f1100032240)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1503] device[0x55d4cfd32450] (tun0): ip4-config: set IP4Config instance (/org/freedesktop/NetworkManager/IP4Config/6)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1503] dns-mgr: (device_ip4_config_changed): queueing DNS updates (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1503] dns-mgr: (device_ip4_config_changed): DNS configuration did not change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1503] dns-mgr: (device_ip4_config_changed): no DNS changes to commit (0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1504] device[0x55d4cfd32450] (tun0): ip6-config: update (commit=0, new-config=0x55d4cfd46280)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1507] device[0x55d4cfd32450] (tun0): ip6-config: set IP6Config instance (/org/freedesktop/NetworkManager/IP6Config/5)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1507] dns-mgr: (device_ip6_config_changed): queueing DNS updates (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1507] dns-mgr: (device_ip6_config_changed): DNS configuration did not change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1507] dns-mgr: (device_ip6_config_changed): no DNS changes to commit (0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1509] manager: (tun0): assume: generated connection 'tun0' (a3f777bf-3d69-48ec-b439-daf19a9502b9)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1514] settings-connection[0x55d4cfddc290]: constructed (NMSKeyfileConnection)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1520] keyfile: add connection in-memory (a3f777bf-3d69-48ec-b439-daf19a9502b9,"tun0")
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1520] settings-connection[0x55d4cfddc290,a3f777bf-3d69-48ec-b439-daf19a9502b9]: failed to read connection timestamp: Key file does not have key “a3f777bf-3d69-48ec-b439-daf19a9502b9” in group “timestamps”
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1523] ++ connection 'new connection' (0x55d4cfddc290/NMSKeyfileConnection/"tun"): [/org/freedesktop/NetworkManager/Settings/32]
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1523] ++ connection                [ 0x55d4cfdec250 ]
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1523] ++ connection.autoconnect    = FALSE
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.id             = 'tun0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.interface-name = 'tun0'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.permissions    = []
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.timestamp      = 1520012407
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.type           = 'tun'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ connection.uuid           = 'a3f777bf-3d69-48ec-b439-daf19a9502b9'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4                      [ 0x55d4cfdfa240 ]
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.addresses            = ((GPtrArray*) 0x55d4cfd45a40)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.dns                  = []
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.dns-priority         = 100
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.dns-search           = []
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.method               = 'manual'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv4.routes               = ((GPtrArray*) 0x55d4cfd45ae0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv6                      [ 0x55d4cfdfa600 ]
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1524] ++ ipv6.addresses            = ((GPtrArray*) 0x55d4cfe56720)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] ++ ipv6.dns                  = []
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] ++ ipv6.dns-priority         = 100
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] ++ ipv6.dns-search           = []
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] ++ ipv6.method               = 'link-local'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] ++ ipv6.routes               = ((GPtrArray*) 0x55d4cfe566c0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1525] manager: (tun0) already created virtual interface name tun0
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1529] device (tun0): state change: unavailable -> disconnected (reason 'connection-assumed', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1531] device[0x55d4cfd32450] (tun0): add_pending_action (2): 'autoactivate'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1531] active-connection[0x55d4cfd46420]: set device "tun0" [0x55d4cfd32450]
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1531] device[0x55d4cfd32450] (tun0): add_pending_action (3): 'activation-0x55d4cfd46420'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1534] active-connection[0x55d4cfd46420]: constructed (NMActRequest, version-id 3, type external)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1538] device (tun0): Activation: starting connection 'tun0' (a3f777bf-3d69-48ec-b439-daf19a9502b9)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1539] device[0x55d4cfd32450] (tun0): activation-stage: schedule activate_stage1_device_prepare,v4 (id 823)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1539] device[0x55d4cfd32450] (tun0): ip4-config: update (commit=0, new-config=0x55d4cfe51e50)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1540] device[0x55d4cfd32450] (tun0): ip6-config: update (commit=0, new-config=0x55d4cfe55ca0)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1540] device[0x55d4cfd32450] (tun0): remove_pending_action (2): 'recheck-available'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1559] device[0x55d4cfd32450] (tun0): remove_pending_action (1): 'autoactivate'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1559] device[0x55d4cfd32450] (tun0): activation-stage: invoke activate_stage1_device_prepare,v4 (id 823)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1559] device (tun0): state change: disconnected -> prepare (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1560] active-connection[0x55d4cfd46420]: set state activating (was unknown)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1561] active-connection[0x55d4cfd46420]: check-master-ready: not signalling (state activating, no master)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1561] device[0x55d4cfd32450] (tun0): activation-stage: schedule activate_stage2_device_config,v4 (id 828)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1561] device[0x55d4cfd32450] (tun0): activation-stage: complete activate_stage1_device_prepare,v4 (id 823)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1564] device[0x55d4cfd32450] (tun0): activation-stage: invoke activate_stage2_device_config,v4 (id 828)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1564] device (tun0): state change: prepare -> config (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1565] device[0x55d4cfd32450] (tun0): activation-stage: schedule activate_stage3_ip_config_start,v4 (id 832)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1565] device[0x55d4cfd32450] (tun0): activation-stage: complete activate_stage2_device_config,v4 (id 828)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1766] device[0x55d4cfd32450] (tun0): activation-stage: invoke activate_stage3_ip_config_start,v4 (id 832)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1767] active-connection[0x55d4cfd46420]: set state-flags layer2-ready (was none)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1767] device (tun0): state change: config -> ip-config (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1768] active-connection[0x55d4cfd46420]: set state-flags layer2-ready,ip4-ready (was layer2-ready)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1768] device (tun0): state change: ip-config -> ip-check (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1769] dispatcher: (7) (tun0) dispatching action 'pre-up' (with callback)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1769] dispatcher: (7) simulate request; no scripts in /etc/NetworkManager/dispatcher.d/pre-up.d
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1769] active-connection[0x55d4cfd46420]: set state-flags layer2-ready,ip4-ready,ip6-ready (was layer2-ready,ip4-ready)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1769] device[0x55d4cfd32450] (tun0): activation-stage: complete activate_stage3_ip_config_start,v4 (id 832)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1771] device[0x55d4cfd32450] (tun0): add_pending_action (2): 'queued-state-change-secondaries'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1771] device[0x55d4cfd32450] (tun0): queue-state[secondaries, reason:none, id:872]: queue state change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1772] device[0x55d4cfd32450] (tun0): queue-state[secondaries, reason:none, id:872]: change state
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1772] device (tun0): state change: ip-check -> secondaries (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1772] device[0x55d4cfd32450] (tun0): add_pending_action (3): 'queued-state-change-activated'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1773] device[0x55d4cfd32450] (tun0): queue-state[activated, reason:none, id:875]: queue state change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1773] device[0x55d4cfd32450] (tun0): device entered SECONDARIES state
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1773] device[0x55d4cfd32450] (tun0): remove_pending_action (2): 'queued-state-change-secondaries'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1774] device[0x55d4cfd32450] (tun0): queue-state[activated, reason:none, id:875]: change state
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1774] device (tun0): state change: secondaries -> activated (reason 'none', sys-iface-state: 'external')
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1775] active-connection[0x55d4cfd46420]: set state activated (was activating)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1775] active-connection[0x55d4cfd46420]: check-master-ready: not signalling (state activated, no master)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1777] device[0x55d4cfd32450] (tun0): remove_pending_action (1): 'activation-0x55d4cfd46420'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1779] dns-mgr: (device_state_changed): queueing DNS updates (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] dns-mgr: (update_routing_and_dns): queueing DNS updates (2)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] dns-mgr: (update_routing_and_dns): DNS configuration did not change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] dns-mgr: (update_routing_and_dns): no DNS changes to commit (1)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] dns-mgr: (device_state_changed): DNS configuration did not change
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] dns-mgr: (device_state_changed): no DNS changes to commit (0)
Mar 02 18:40:07 NetworkManager[10433]: <info>  [1520012407.1780] device (tun0): Activation: successful, device activated.
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1780] device[0x55d4cfd32450] (tun0): set metered value 4
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1781] dispatcher: (8) (tun0) dispatching action 'up'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1784] pacrunner: call[0x55d4cfed7f60]: send: new config ({'Interface': <'tun0'>, 'Method': <'direct'>, 'BrowserOnly': <false>},)
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1785] device[0x55d4cfd32450] (tun0): remove_pending_action (0): 'queued-state-change-activated'
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1793] pacrunner: call[0x55d4cfed7f60]: sending failed: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.pacrunner" does not exist
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1827] dispatcher: (6) autofs succeeded
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1827] dispatcher: (6) nfs succeeded
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.1828] dispatcher: (6) ntp succeeded
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.4918] dispatcher: (8) autofs succeeded
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.4919] dispatcher: (8) nfs succeeded
Mar 02 18:40:07 NetworkManager[10433]: <debug> [1520012407.4919] dispatcher: (8) ntp succeeded
Mar 02 18:40:54 NetworkManager[10433]: <debug> [1520012454.3410] ndisc-lndp[0x55d4cfe55c20,"eth0"]: processing libndp events
Mar 02 18:41:34 NetworkManager[10433]: <debug> [1520012494.8370] ndisc-lndp[0x55d4cfe55c20,"eth0"]: processing libndp events
Comment 9 Frank Krüger 2018-03-02 20:17:41 UTC
(In reply to Bruno Friedmann from comment #8)
> With 10.5 version there's no more segv and openvpn connection works again
Do you mean 1.10.5? Which repo?
Comment 10 Dominique Leuenberger 2018-03-02 20:22:57 UTC
(In reply to Frank Kruger from comment #9)
> (In reply to Bruno Friedmann from comment #8)
> > With 10.5 version there's no more segv and openvpn connection works again
> Do you mean 1.10.5? Which repo?

I provided test packages to Bruno in 
http://download.opensuse.org/repositories/home:/dimstar:/branches:/GNOME:/Factory/openSUSE_Factory/

This is marked as being version 1.10.5, which does not exist as a release (it's a the nm-1-10 git branch leading to 1.10.6)

Testing is welcome.
Comment 11 Bruno Friedmann 2018-03-15 09:45:59 UTC
@Dominique your home branch has disappear, too bad, this version was working very nicely ;-)

Traveling I didn't check if you have now a 1.10.6 in Gnome:Factory already.

I've a doubt that 1.10.4 actually in TW has the patches, any comments greatly appreciated.
Comment 12 Dominique Leuenberger 2018-03-15 10:49:01 UTC
(In reply to Bruno Friedmann from comment #11)
> @Dominique your home branch has disappear, too bad, this version was working
> very nicely ;-)
> 
> Traveling I didn't check if you have now a 1.10.6 in Gnome:Factory already.

NetworkManager 1.10.6 will be part of the upcoming snapshot 0314
Comment 13 Bruno Friedmann 2018-03-19 18:09:13 UTC
Work with 1.10.6
Comment 14 Dominique Leuenberger 2018-03-19 18:20:13 UTC
(In reply to Bruno Friedmann from comment #13)
> Work with 1.10.6

perfect - let's closeit then